[Unit]
Description=odidere
After=network.target whisper.service kokoro.service
Requires=whisper.service kokoro.service

[Service]
User=%i
ExecStart=/usr/local/bin/odidere -c /etc/odidere/config.yaml
Restart=on-failure
RestartSec=10

ProtectSystem=full
PrivateTmp=true
SystemCallArchitectures=native
MemoryDenyWriteExecute=true
NoNewPrivileges=true

StartLimitIntervalSec=60
StartLimitBurst=4

[Install]
WantedBy=multi-user.target
